## org.springframework.oxm
Class MarshallingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.oxm.XmlMappingException
                          org.springframework.oxm.MarshallingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MarshallingFailureException, UnmarshallingFailureException

    public abstract class MarshallingException

extends XmlMappingException

Base class for exception thrown when a marshalling or unmarshalling error occurs.

Since:
  3.0
Author:
  Arjen Poutsma, Juergen Hoeller
See Also:
  `MarshallingFailureException`, `UnmarshallingFailureException`, Serialized Form

Constructor Summary
`protected` `MarshallingException(String msg)` Construct a `MarshallingException` with the specified detail message.
`protected` `MarshallingException(String msg, Throwable cause)` Construct a `MarshallingException` with the specified detail message and nested exception.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarshallingException

    protected MarshallingException(String msg)

  Construct a `MarshallingException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### MarshallingException

    protected MarshallingException(String msg,
                                   Throwable cause)

  Construct a `MarshallingException` with the specified detail message and nested exception.

  Parameters:
    `msg` - the detail message
    `cause` - the nested exception